.

Metasploit (Updating Issues)

<<

KrisTeason

User avatar

Hero Member
Hero Member

Posts: 515

Joined: Sat Sep 08, 2007 7:48 pm

Location: /dev/null

Post Wed Apr 29, 2009 10:41 am

Metasploit (Updating Issues)

Hello All,

I'm running a full HD Install of Back Track 3 on my EEE PC. For the past like 3 weeks, I haven't been able to get any updates on Metasploit. It was like this before, but I had re-downloaded the framework, ran the svn update and it gave me some updates. I typically go:

bt# cd /pentest/exploits/framework3
bt framework3# svn update
Then it gives me
At revision 6508
bt framework3#

I was just wondering, what revision # is it showing for all of you? I have a default trunk of exploits numbering out to 320 total & I'd definitely like to get more for my attack arsenal. I had deleted the /root/.msf3 folder too once I got rid of my /pentest/exploits/framework3 directory, is this causing an issue with it? I've also accepted the ssl certification too. Guidance / Advice? Thanks in advanced guys!
eCPPT (Silver/Gold), eWPT, GSEC, GISP, GCIH, OSCP, OSWP
<<

LSOChris

Post Wed Apr 29, 2009 11:24 am

Re: Metasploit (Updating Issues)

you can always check

http://trac.metasploit.com/timeline

to see what the latest version is.

so it looks like you are up to date

keep in mind each revision doesnt equal new exploits, every change, at a time, increases the revision number
<<

KrisTeason

User avatar

Hero Member
Hero Member

Posts: 515

Joined: Sat Sep 08, 2007 7:48 pm

Location: /dev/null

Post Wed Apr 29, 2009 12:28 pm

Re: Metasploit (Updating Issues)

Alright - Cool, Guess I Am Up To Data. I Also Appreciate That Link, It's Just I've Had This Amount Of Exploits In My Trunk For Awhile And Having Been Seeing Anything Coming In Once I Run The Svn Update Command, But I Suppose It's All Good. Good Lookin CG.
Last edited by KrisTeason on Wed Apr 29, 2009 12:29 pm, edited 1 time in total.
eCPPT (Silver/Gold), eWPT, GSEC, GISP, GCIH, OSCP, OSWP
<<

timmedin

User avatar

Sr. Member
Sr. Member

Posts: 469

Joined: Thu Feb 05, 2009 11:18 pm

Post Thu Apr 30, 2009 8:17 am

Re: Metasploit (Updating Issues)

Not that this applies to you, but it is semi-relevant and may apply to someone else...

I had some issues with updating since one of the scripts wouldn't update. To fix that just run
  Code:
svn update -force
twitter.com/timmedin | http://blog.securitywhole.com
<<

KrisTeason

User avatar

Hero Member
Hero Member

Posts: 515

Joined: Sat Sep 08, 2007 7:48 pm

Location: /dev/null

Post Fri May 01, 2009 7:22 pm

Re: Metasploit (Updating Issues)

Alright. I found out something useful today. Looks like the framework is updating, I ran an svn update today and now i'm at revision 6518. What I'm not seeing though is the what's being updated. Like it's not showing that 'x' module was updated or added it just says:
at revision 6518
Does someone know how I could get it to display what's all coming in when I run svn update? I'd like to know what new modules and exploits get added in when they do.
eCPPT (Silver/Gold), eWPT, GSEC, GISP, GCIH, OSCP, OSWP
<<

timmedin

User avatar

Sr. Member
Sr. Member

Posts: 469

Joined: Thu Feb 05, 2009 11:18 pm

Post Sat May 02, 2009 5:42 pm

Re: Metasploit (Updating Issues)

Did you try -u/--show-updates or -v/--verbose?
Last edited by timmedin on Sat May 02, 2009 5:49 pm, edited 1 time in total.
twitter.com/timmedin | http://blog.securitywhole.com

Return to Network Pen Testing

Who is online

Users browsing this forum: No registered users and 1 guest

.
Powered by phpBB® Forum Software © phpBB Group.
Designed by ST Software